> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/error-handling.md).

# Error Handling

## <mark style="color:purple;">Payout Initiate Status Definition</mark>

Errors can be returned if a mandatory field or a header is missing from the [Initiate Payout Request](broken://pages/ObPoFjDLFt5MEMPGWkYh).

| Error Code | Message     | Reason                                                                                                                 |
| ---------- | ----------- | ---------------------------------------------------------------------------------------------------------------------- |
| 400        | Bad Request | <p>Mandatory fields are missing, parameter mismatch or incorrect.</p><p>E.g. “Request id should not be duplicated”</p> |
| 401        | Rejected    | The x-signatures do not match                                                                                          |
| 403        | Forbidden   | <p>Header parameter missing, its </p><p>authentication error</p>                                                       |

## <mark style="color:purple;">Sample error responses</mark>

{% tabs %}
{% tab title="Status 400" %}

```javascript
{
"status": 400,
"title": "Constraint Violation",
"violations": [
{
"field": "errors.com.payout.idempotency_error",
"message": "Request id should not be duplicated",
"comment": "requestId: koongpayout79_request_id_4July2023BBB, payoutId: fab29194-5e2f-4929-93d2-64a5af94c64c"
}
]
}
```

{% endtab %}
{% endtabs %}

***

## <mark style="color:purple;">**Check Status**</mark>

These errors will be shown if the payout status is either Failed or Rejected from [Check Status API](broken://pages/ZaztY47YSiUzyZuhqJPK).

<table><thead><tr><th>Coda Status</th><th width="249">Coda Error Code</th><th>Coda Error Description</th></tr></thead><tbody><tr><td>REJECTED</td><td>DAILY_LIMIT_EXCESS</td><td>The daily payout limit has been exceeded. Please try again the next day.</td></tr><tr><td></td><td>INCOMPLETE_DATA</td><td>Incomplete Payment Details. Please check that you have input all relevant details and try again.</td></tr><tr><td></td><td>INSUFFICIENT_FUNDS</td><td>Payout balance has insufficient funds to complete this request.</td></tr><tr><td></td><td>MAX_LIMIT_EXCEED_INTERNAL</td><td>Please contact Coda Payments for more information</td></tr><tr><td></td><td>INVALID_NAME</td><td><p>Invalid Name, symbols are not allowed. Please re-submit using a valid name.<br><br>Example:</p><p>𝒁𝒂𝒉𝒊𝒅𝒂 𝒑𝒂𝒓𝒗𝒆𝒆𝒏: <span data-gb-custom-inline data-tag="emoji" data-code="274c">❌</span><br>𝑩𝒆𝒓𝒍𝒍𝒂ꨄ︎: Rejected: <span data-gb-custom-inline data-tag="emoji" data-code="274c">❌</span><br>𝘼𝙧𝙞𝙖𝙬𝙖𝙣 𝙁𝙪𝙖𝙙: <span data-gb-custom-inline data-tag="emoji" data-code="274c">❌</span><br>Kevin Lehner: ✅<br>محمد يتيم وتيد العنزي:  ✅<br>Vasantha janga:  ✅</p></td></tr></tbody></table>

| Coda Status | Coda Error Code             | Coda Error Description                                                                                                                                                                                                                                                                 |
| ----------- | --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| FAILED      | BENEFICIARY\_REJECTED       | Beneficiary rejected the payout. Please re-submit your payout request if this was a mistake.                                                                                                                                                                                           |
|             | EXTERNAL\_ERROR             | Please contact Coda Payments support team.                                                                                                                                                                                                                                             |
|             | INCOMPLETE\_DATA            | Incomplete Payment Details. Please check that you have input all relevant details and try again.                                                                                                                                                                                       |
|             | INTERNAL\_ERROR             | Please contact Coda Payments support team.                                                                                                                                                                                                                                             |
|             | INVALID\_ACCOUNT            | Account is Closed, Frozen, or Inactive. Please check with your provider and try again when your account is active.                                                                                                                                                                     |
|             | INVALID\_ACCOUNT\_DETAILS   | Invalid Account Details. Please check your account details and try again.                                                                                                                                                                                                              |
|             | INVALID\_ACCOUNT\_NUMBER    | Invalid Account Number. Please re-submit with a valid account number.                                                                                                                                                                                                                  |
|             | INVALID\_AMOUNT             | Invalid amount. Please re-submit with a valid input amount.                                                                                                                                                                                                                            |
|             | INVALID\_BANK\_CODE         | Invalid Bank Code. Please re-submit with a valid bank code.                                                                                                                                                                                                                            |
|             | INVALID\_CURRENCY           | Invalid Currency. Please check that both the sending and receiving currency are supported and valid.                                                                                                                                                                                   |
|             | INVALID\_DATA               | Invalid Payment Details. Please check that you have input all details correctly and try again.                                                                                                                                                                                         |
|             | INVALID\_DATE               | Invalid Date. Please check the date format or the validity of the date.                                                                                                                                                                                                                |
|             | INVALID\_ID                 | Invalid National ID. Please retry using a valid National ID.                                                                                                                                                                                                                           |
|             | INVALID\_NAME               | Invalid Name, symbols are not allowed. Please re-submit using a valid name.                                                                                                                                                                                                            |
|             | INVALID\_PHONE              | Invalid phone number. Please retry using a valid phone number.                                                                                                                                                                                                                         |
|             | MAX\_ACCOUNT\_LIMIT\_EXCEED | Exceeded maximum payout amount for your account. Please check your account limits before trying again.                                                                                                                                                                                 |
|             | MAX\_COUNT\_EXCEED          | Exceeded transaction count limit. Please check your count limit and try again later.                                                                                                                                                                                                   |
|             | MAX\_LIMIT\_EXCEED          | Exceeded maximum amount. Please change the input amount and try again.                                                                                                                                                                                                                 |
|             | NOT\_VODAFONE\_CASH         | <p>MSISDN is not registered as Vodafone Cash. Please provide the correct mobile operator. </p><p>(Note: This only applies for Egypt payout)</p>                                                                                                                                        |
|             | SUCCESS\_TO\_FAILED         | <p>Payout status was Success but eventually changed to Failed as it was rejected by beneficiary bank. Please re-submit your payout request with the correct details. </p><p>(Note: This change from one final state to another only applies for Saudi Arabia bank transfer payout)</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/error-handling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
